Subject: bug#21505: 24.4; Buffer order

From: Tassilo Horn <[email-masked]>
Date: Thu, 17 Sep 2015 08:49:51 +0200

Eli Zaretskii <[email-masked]> writes:

>> Let's say I have a Linux directory that looks like
>> 
>> -rw-r--r-- 1 hooked se 0 Sep 16 16:02 a
>> -rw-r--r-- 1 hooked se 0 Sep 16 16:02 b
>> -rw-r--r-- 1 hooked se 0 Sep 16 16:02 c
>> When I type emacs * it opens all three files but it puts me in the middle of
>> the buffer chain. For example when I run it, I start off at c and NextBuffer
>> takes me along the chain
>> 
>> c -> b -> *Messages* -> *scratch* -> a ->
>> This is really, really annoying. I'd like to open up emacs and have the order
>> be any of the permutations
>> 
>> c -> b -> a -> *Messages* -> *scratch* -> 
>> b -> a -> c -> *Messages* -> *scratch* -> 
>> a -> b -> c -> *Messages* -> *scratch* -> 
>> 
>> This behavior is the most natural one IMHO (user @Stefan
>> agrees). This is a feature request to make this the default behavior.
>
> Is the feature request to produce the above buffer order only once,
> upon entry to Emacs in this scenario, or is it more general,
> i.e. should hold at any arbitrary point in time during the Emacs
> session? [...]
>
> In any case, the latter possibility is much harder to accomplish; the
> former is relatively easy, but I question its usefulness, given that
> it's limited to the initial entry.

IMO it could and should apply also to emacsclient invocations.  And to
me, the order a, b, c seems to be the only right one.

Bye,
Tassilo